### Name: path_weights
### Title: Utility functions to manipulate pairwise information.
### Aliases: path_weights path_cis edge2dist dist2edge edge_index nnodes
### Keywords: graphs

### ** Examples

require(PairViz)

s <- matrix(1:40,nrow=10,ncol=4)

edge2dist(s[,1])

path_weights(s,1:4)
path_weights(s,eseq(5))

fm1 <- aov(breaks ~ wool + tension, data = warpbreaks)
tuk <- TukeyHSD(fm1, "tension")[[1]]

# Here the first argument (weight matrix) can have number of columns

path_weights(tuk,c(1:3,1))  


# Here the first argument (weight matrix) should have an odd number of columns-
# the first is the mean difference, other column pairs are endpoints of CIs

path_cis(tuk[,-4],c(1:3,1))
 
 
 


