### Name: table_plot
### Title: Plots rectangles on a grid
### Aliases: table_plot
### Keywords: hplot

### ** Examples

## Not run: 
##D require(PairViz)        
##D                 
##D tab <- apply(HairEyeColor, c(1, 2), sum)
##D 
##D dev.new()
##D par(mar=c(3,3,1,1))
##D par(cex=.6,mgp=c(2, -.5, 0))
##D table_plot(sqrt(tabc),sqrt(tabc))
##D # this table plot has cells with widths and heights proportional to the square root of cell counts.
##D 
##D tabp <- prop.table(tabc,2)
##D 
##D table_plot(apply(tab,2,sum),tabp) # make cell widths proportional to margin totals, heights to conditional prob
##D 
##D cols <- 2:5
##D table_plot(apply(tab,2,sum),tabp, yjust="bottom",col=cols,yruler=c("left","right")) # add colours, rulers and  bottom-justify
##D 
##D # The result is similar to the mosaic, without the mosaic effect of equalizing gaps. In the table version the rectangles line up across rows, so comparing heights, ie. conditional probs is easier.
##D 
##D o <- hpaths(1:4)[2,]
##D table_plot(apply(tab,2,sum)[o],tabp[,o], yjust="bottom",col=cols,yruler=c("left","right"))
##D # Permutes the columns so all pairs of columns can be compared. In the second permutation can easily see that   p(black|blue eyes)> p(black|green eyes)
##D 
##D dev.new()
##D par(mar=c(3,3,1,1))
##D par(mgp=c(2, -.5, 0))
##D mosaicplot(t(tab)[,nrow(tab):1],col=rev(cols),main="")
##D # mosaic- good for seeing deviations from independence. hard to compare conditional probs,
##D # except for those in the bottom and top rows. 
## End(Not run)
        



